#
# spec file for package mindforger
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           mindforger
Version:        1.48.2+20190105.a8a9e18
Release:        1.4
Summary:        Thinking notebook and Markdown IDE
License:        GPL-2.0-only
Group:          Productivity/Office/Other
URL:            https://www.mindforger.com/
Source:         https://github.com/dvorka/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  ccache
BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  zlib-devel
BuildRequires:  desktop-file-utils
BuildRequires:  update-desktop-files
BuildRequires:  libqt5-qtbase-common-devel
#
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5Concurrent)

%description
Are you drowning in information, but starving for knowledge? Where do you keep your private remarks like ideas, personal plans, gift tips, how-tos, dreams, business vision, finance strategy, auto coaching notes? Loads of documents, sketches and remarks spread around the file system, cloud, web and Post-it notes? Are you affraid of your knowledge privacy? Are you able to find then once you create them? Do you know how are they mutually related when you read or write them? No?

%package devel
Summary:        Devel files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
Development files for %{name}.

%prep
%autosetup

%build
pushd deps/discount
./configure.sh
make %{?_smp_mflags}
popd
%qmake5 -r mindforger.pro
make %{?_smp_mflags}

%install
%make_install INSTALL_ROOT=%{buildroot}

%suse_update_desktop_file -r %{name} DesktopUtility

%fdupes %{buildroot}/%{_prefix}

%files
%license LICENSE
%doc Changelog README.md CONTRIBUTING.md CREDITS.md KNOWN_ISSUES.md
%{_bindir}/mindforger
%{_datadir}/applications/*.desktop
%{_datadir}/icons/%{name}
%exclude %{_datadir}/doc/mindforger
%{_datadir}/doc/mindforger/*
%{_mandir}/man1/mindforger.1%{?ext_man}

%files devel
%{_prefix}/lib/libdiscount.a

%changelog
* Tue Jan 15 2019 dead_mozay@opensuse.org
- Update to version 1.48.2+20190105.a8a9e18:
  * Updating 'Read about' section.
* Thu Dec 27 2018 dead_mozay@opensuse.org
- Update to version 1.48.2+20181225.c3b7632:
  * Improves README
* Thu Nov 15 2018 dead_mozay@opensuse.org
- Update to version 1.48.2+20181114.965837f:
  * Fixing main toolbar title.
* Wed Nov 14 2018 dead_mozay@opensuse.org
- New package
